gUpdateDataMessage-class {MVCClass} | R Documentation

## Class "gUpdateDataMessage": A class to represent an update data message

### Description

gUpdateDataMessage is a class to represent an update data message. gUpdateDataMessage is inherited from the virtual class, gUpdateMessage. Whenever a gUpdateDataMessage is created (initialized), the next step is to call the handleMessage method to act upon that message and update the data.

### Objects from the Class

Objects can be created by calls of the form `new("gUpdateDataMessage", ...)`. The initialize method for this class will be created in other packages that use this package (for example, the initialize method will be created in the iSNetwork and iSPlot packages).

### Slots

`from`:
  the name of the MVC (model) that this update message came from
`type`:
  the type of update to perform
`mData`:
  a list of the information needed to perform the update
`dataName`:
  the name of the data set to be updated

### Extends

Class `"gUpdateMessage"`, directly. Class `"gModifyMessage"`, by class `"gUpdateMessage"`. Class `"gMessage"`, by class `"gUpdateMessage"`.

### Methods

from<-
  Sets the `from` slot
from
  Returns the `from` slot

### Author(s)

Elizabeth Whalen

### See Also

`gUpdateViewMessage-class`, `gUpdateMessage-class`, `gMessage-class`

[Package MVCClass version 1.18.0 Index]